# Authority | @coopenomics/sdk
Documentation for @coopenomics/sdk

# Interface Authority

interface Authority {
accounts : PermissionLevelWeight [];
keys : KeyWeight [];
threshold : number;
waits : WaitWeight [];
}

- Defined in components/sdk/src/types/controller/account.types.ts:31

#####
Index

### Properties

accounts
keys
threshold
waits

## Properties

### accounts

accounts: PermissionLevelWeight []

- Defined in components/sdk/src/types/controller/account.types.ts:34

### keys

keys: KeyWeight []

- Defined in components/sdk/src/types/controller/account.types.ts:33

### threshold

threshold: number

- Defined in components/sdk/src/types/controller/account.types.ts:32

### waits

waits: WaitWeight []

- Defined in components/sdk/src/types/controller/account.types.ts:35